<div class="register-wrapper">
  <div class="register-box-outer">
    <!-- Regitration Form starts here-->
    <form [formGroup]="registerForm">
      <div class="container register-box">
        <h2 class="text-center">Sign Up</h2>
        <br>
        <div class="form-group">
          <label for="name">Name</label>
          <input type="text" class="form-control" id="name" placeholder="Name" name="name" formControlName="name">
          <span class="red-color"
            *ngIf="(btnClicked || registerForm.get('name').touched) && registerForm.get('name').invalid">
            {{registerForm.get('name').errors['pattern']?'Should not contain any Special characters.':'Name is Required'}}
          </span>
        </div>
        <div class="form-group">
          <label for="exampleInputEmail1">Email address</label>
          <input type="email" class="form-control" id="exampleInputEmail1" placeholder="Email" name="email"
            formControlName="email" (blur)="checkAlready($event)">
          <span class="red-color"
            *ngIf="(btnClicked || registerForm.get('email').touched) && registerForm.get('email').invalid">
            {{registerForm.get('email').errors['pattern']?'Invalid Email Format':'Email is Required'}}
          </span>
        </div>
        <div class="form-group">
          <label for="exampleInputPassword1">Password</label>
          <input type="password" class="form-control" id="exampleInputPassword1" placeholder="Password" name="password"
            formControlName="password">
          <span class="red-color"
            *ngIf="(btnClicked || registerForm.get('password').touched) && registerForm.get('password').invalid">
            {{registerForm.get('password').errors['pattern']?'Should not contain any Special characters.':'Password is Required'}}
          </span>
        </div>
        <div class="form-group">
          <label for="cnfmpass">Confirm Password</label>
          <input type="password" class="form-control" id="cnfmpass" placeholder="Confirm Password" name="cnfmpassword"
            formControlName="cnfmpassword">
          <span class="red-color"
            *ngIf="((registerForm.get('cnfmpassword').touched || btnClicked) && (registerForm.get('cnfmpassword').invalid || registerForm.get('password').value !== registerForm.get('cnfmpassword').value))">
            Password Mismatch
          </span>
        </div>
        <div class="form-group text-center">
          <button type="button" class="btn btn-info register-button"
            *ngIf="!registerForm.valid || (registerForm.get('password').value !== registerForm.get('cnfmpassword').value)"
            (click)="btnClicked=true">Sign Up</button>
          <button type="button" class="btn btn-info register-button"
            *ngIf="registerForm.valid && (registerForm.get('password').value === registerForm.get('cnfmpassword').value)"
            (click)="register()">Sign Up</button>
          <br>
          <br>
          <p>Already have an account? <a [routerLink]="['/login']"><b>Login</b></a></p>
        </div>
      </div>
    </form>
    <!-- Regitration Form ends here-->

  </div>
</div>
